#
# spec file for package perl-Monitoring-Livestatus-Class
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Monitoring-Livestatus-Class
Version:        0.06
Release:        1.1
%define cpan_name Monitoring-Livestatus-Class
Summary:        Object-Oriented interface for
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Monitoring-Livestatus-Class/
Source0:        http://www.cpan.org/authors/id/N/NI/NIERLEIN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Module::Find)
BuildRequires:  perl(Monitoring::Livestatus) >= 0.54
BuildRequires:  perl(Moose)
Requires:       perl(Class::Load)
Requires:       perl(Module::Find)
Requires:       perl(Monitoring::Livestatus) >= 0.54
Requires:       perl(Moose)
%{perl_requires}

%description
This module is an object-oriented interface for Monitoring::Livestatus

*The module is still in an early stage of development, there can be some
api changes between releases.*

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Monitoring-Livestatus-Class/Changes
  0.06    2013-12-07 11:21:13 +0100
    fixed leak test case
  0.05    2013-12-02 12:12:53 +0100
    replaced deprecated Class::MOP::load_class with Class::Load
    fixed memory leak due to circular dependency
  0.04    2012-11-23 21:36:39 +0100
    Fixed test:t/10-filter.t - stupid 'sort' problem with hash keys.
    Fixed debug output
* Sat Jun  4 2011 lars@linux-schulserver.de
- initial package 0.03
  * created by cpanspec 1.78.03
